import { ColorFormat } from '../interface';
import Color from 'color';
export default function toColor(colorModel) {
  return function (color) {
    var format = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : ColorFormat.STRING;
    var methodName = format;
    var theColor = Color(color)[colorModel]();
    return theColor[methodName]();
  };
}