// figma node type. Reference: https://www.figma.com/plugin-docs/api/nodes/
export var NodeTypeEnum;

(function (NodeTypeEnum) {
  NodeTypeEnum["BOOLEAN_OPERATION"] = "BOOLEAN_OPERATION";
  NodeTypeEnum["CODE_BLOCK"] = "CODE_BLOCK";
  NodeTypeEnum["COMPONENT"] = "COMPONENT";
  NodeTypeEnum["COMPONENT_SET"] = "COMPONENT_SET";
  NodeTypeEnum["CONNECTOR"] = "CONNECTOR";
  NodeTypeEnum["DOCUMENT"] = "DOCUMENT";
  NodeTypeEnum["ELLIPSE"] = "ELLIPSE";
  NodeTypeEnum["FRAME"] = "FRAME";
  NodeTypeEnum["GROUP"] = "GROUP";
  NodeTypeEnum["INSTANCE"] = "INSTANCE";
  NodeTypeEnum["LINE"] = "LINE";
  NodeTypeEnum["PAGE"] = "PAGE";
  NodeTypeEnum["POLYGON"] = "POLYGON";
  NodeTypeEnum["RECTANGLE"] = "RECTANGLE";
  NodeTypeEnum["SHAPE_WITH_TEXT"] = "SHAPE_WITH_TEXT";
  NodeTypeEnum["SLICE"] = "SLICE";
  NodeTypeEnum["STAMP"] = "STAMP";
  NodeTypeEnum["STAR"] = "STAR";
  NodeTypeEnum["STICKY"] = "STICKY";
  NodeTypeEnum["TEXT"] = "TEXT";
  NodeTypeEnum["VECTOR"] = "VECTOR";
  NodeTypeEnum["WIDGET"] = "WIDGET";
})(NodeTypeEnum || (NodeTypeEnum = {}));

export var ColorFormat;

(function (ColorFormat) {
  ColorFormat["STRING"] = "string";
  ColorFormat["ARRAY"] = "array";
  ColorFormat["OBJECT"] = "object";
  ColorFormat["UNIT_ARRAY"] = "unitArray";
  ColorFormat["UNIT_OBJECT"] = "unitObject";
})(ColorFormat || (ColorFormat = {}));

export var ColorModel;

(function (ColorModel) {
  ColorModel["HSL"] = "hsl";
  ColorModel["RGB"] = "rgb";
  ColorModel["HEX"] = "hex";
})(ColorModel || (ColorModel = {}));