function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

export default function isDeepEqual(x, y) {
  if (x === y) {
    return true;
  } else if (_typeof(x) == 'object' && x != null && _typeof(y) == 'object' && y != null) {
    if (Object.keys(x).length !== Object.keys(y).length) {
      return false;
    }

    for (var propName in x) {
      if (!(propName in y)) {
        return false;
      }

      if (!isDeepEqual(x[propName], y[propName])) {
        return false;
      }
    }

    return true;
  }

  return false;
}