export default function copyToClipboard(value) {
  try {
    // @ts-ignore
    if (window.copy) {
      // @ts-ignore
      window.copy(value);
    } else {
      var area = document.createElement('textarea');
      document.body.appendChild(area);
      area.value = value;
      area.focus();
      area.select();
      var result = document.execCommand('copy');
      document.body.removeChild(area);

      if (!result) {
        throw new Error();
      }
    }
  } catch (e) {
    console.error("Unable to copy the value: ".concat(value));
    return false;
  }

  return true;
}