"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isPageNode = _interopRequireDefault(require("../isPageNode"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function hasMatch(pred, matchedResult) {
  return function (node) {
    do {
      if (pred(node)) {
        return matchedResult;
      }

      node = node.parent;
    } while (node !== null && !(0, _isPageNode.default)(node));

    return !matchedResult;
  };
}

var _default = hasMatch;
exports.default = _default;