"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = toColor;

var _interface = require("../interface");

var _color = _interopRequireDefault(require("color"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function toColor(colorModel) {
  return function (color) {
    var format = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _interface.ColorFormat.STRING;
    var methodName = format;
    var theColor = (0, _color.default)(color)[colorModel]();
    return theColor[methodName]();
  };
}