"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = copyToClipboardAsync;

function copyToClipboardAsync(value) {
  if (navigator.clipboard) {
    return navigator.clipboard.writeText(value);
  }

  return Promise.reject("Clipboard API is NOT supported in the browser");
}